SELECT 'Dropping database CRMCOREDB' AS ' ';
DROP DATABASE IF EXISTS CRMCOREDB;


DROP USER  'TestCRMCore'@'localhost';
CREATE USER 'TestCRMCore'@'localhost' IDENTIFIED BY 'TestCRMCore';
GRANT SELECT,INSERT,UPDATE,DELETE,CREATE   ON CRMCOREDB.*   TO 'TestCRMCore'@'localhost';

SELECT 'Creating database CRMCOREDB' AS ' ';
CREATE DATABASE CRMCOREDB;

USE CRMCOREDB;

SELECT 'dropping the tables' AS ' ';
 DROP TABLE IF EXISTS CRM_ACCOUNT;
 DROP TABLE IF EXISTS CRM_CONTACT;
 DROP TABLE IF EXISTS CRM_COMPANY;
 DROP TABLE IF EXISTS CRM_OPPORTUNITY;
 DROP TABLE  IF EXISTS CRM_USERS;
 DROP TABLE IF EXISTS CRM_ACCT_CONTACT;
 DROP TABLE IF EXISTS CRM_OPTY_CONTACT;
 DROP TABLE IF EXISTS CRM_ACCT_OPTY;
 DROP TABLE IF EXISTS CRM_ROLES;
 
 SELECT 'tables dropped' AS ' ';

SELECT 'creating table CRM_COMPANY' AS ' ';
CREATE TABLE CRM_COMPANY( ROW_ID MEDIUMINT AUTO_INCREMENT     PRIMARY KEY ,
 NAME VARCHAR(255) ,
 ADDRESS VARCHAR(512) ,
 PRIMARY_CONTACT VARCHAR(255), 
 CREATED DATETIME ,
  CREATED_BY MEDIUMINT,
  UPDATED DATETIME ,
  UPDATED_BY MEDIUMINT,
  ACTIVE_FLG CHAR(1),
 DELETED_STATE CHAR(1));
 
SELECT 'creating table CRM_USERS' AS ' ';    
CREATE TABLE CRM_USERS( ROW_ID MEDIUMINT AUTO_INCREMENT    PRIMARY KEY ,
 NAME VARCHAR(30) ,
 USERNAME VARCHAR(30) ,
 PASSWORD VARCHAR(100) ,
 CREATED DATETIME ,
 CREATED_BY MEDIUMINT,
 UPDATED DATETIME ,
 UPDATED_BY MEDIUMINT,
 ACTIVE_FLG CHAR(1),
 DELETED_STATE CHAR(1),
 TENANT_ID MEDIUMINT, 
PARENT_ID MEDIUMINT );
 
SELECT 'creating table CRM_CONTACT' AS ' ';     
CREATE TABLE CRM_CONTACT( ROW_ID MEDIUMINT AUTO_INCREMENT    PRIMARY KEY ,
 NAME VARCHAR(30) ,
 FIRSTNAME VARCHAR(50), 
 LASTNAME VARCHAR(50), 
 FULLNAME VARCHAR(50), 
 SALUTATION VARCHAR(10), 
 TITLE VARCHAR(255), 
 PHONE_HOME VARCHAR(50), 
 PHONE_MOBILE VARCHAR(50), 
 PHONE_OFFICE VARCHAR(50), 
 PRIMARY_ADDRESS_STREET VARCHAR(150), 
 PRIMARY_ADDRESS_CITY VARCHAR(100), 
 PRIMARY_ADDRESS_STATE VARCHAR(100), 
 PRIMARY_ADDRESS_POSTALCODE VARCHAR(20), 
 PRIMARY_ADDRESS_COUNTRY VARCHAR(255), 
 BIRTHDATE DATETIME, 
 PICTURE VARCHAR(255),
 CREATED DATETIME ,
 CREATED_BY MEDIUMINT,
 UPDATED DATETIME ,
 UPDATED_BY MEDIUMINT,
  DELETED_STATE CHAR(1),
 TENANT_ID MEDIUMINT);
 
 
 
 
SELECT 'creating table CRM_ACCOUNT' AS ' ';    
CREATE TABLE CRM_ACCOUNT( ROW_ID MEDIUMINT AUTO_INCREMENT    PRIMARY KEY ,
ACCOUNT_NO VARCHAR(10),
 NAME VARCHAR(30) ,
 DESCRIPTION VARCHAR(255),
 CREATED DATETIME ,
 CREATED_BY MEDIUMINT,
 UPDATED DATETIME ,
 UPDATED_BY MEDIUMINT,
 ACTIVE_FLG CHAR(1),
 DEFAULT_FLG CHAR(1),
 DELETED_STATE CHAR(1),
 TENANT_ID MEDIUMINT, 
PARENT_ID MEDIUMINT );
SELECT 'creating table CRM_OPPORTUNITY' AS ' ';
CREATE TABLE CRM_OPPORTUNITY (ROW_ID MEDIUMINT AUTO_INCREMENT PRIMARY KEY,
OPPORTUNITY_ID VARCHAR(10),
NAME VARCHAR(60),
DESCRIPTION VARCHAR(255),
CREATED DATETIME ,
 CREATED_BY MEDIUMINT,
 UPDATED DATETIME ,
 UPDATED_BY MEDIUMINT,
 ACTIVE_FLG CHAR(1),
 DEFAULT_FLG CHAR(1),
 DELETED_STATE CHAR(1),
 TENANT_ID MEDIUMINT, 
PARENT_ID MEDIUMINT); 
SELECT 'creating table CRM_OPTY_CONTACT' AS ' ';
CREATE TABLE CRM_OPTY_CONTACT( ROW_ID MEDIUMINT AUTO_INCREMENT PRIMARY KEY, 
OPTY_ID MEDIUMINT, 
CONTACT_ID MEDIUMINT, 
TENANT_ID MEDIUMINT); 
SELECT 'creating table CRM_ACCT_CONTACT' AS ' ';
CREATE TABLE CRM_ACCT_CONTACT(ROW_ID MEDIUMINT AUTO_INCREMENT PRIMARY KEY,
CONTACT_ID MEDIUMINT, 
ACCT_ID MEDIUMINT, 
TENANT_ID MEDIUMINT); 
SELECT 'creating table CRM_ACCT_OPTY' AS ' ';
CREATE TABLE CRM_ACCT_OPTY( ROW_ID MEDIUMINT AUTO_INCREMENT PRIMARY KEY, 
OPTY_ID MEDIUMINT, 
ACCT_ID MEDIUMINT, 
TENANT_ID MEDIUMINT);
SELECT 'creating table CRM_ROLES' AS ' ';
CREATE TABLE CRM_ROLES(ROW_ID MEDIUMINT AUTO_INCREMENT PRIMARY KEY, 
NAME VARCHAR(30), 
DESCRIPTION VARCHAR(255), 
DELETED_STATE CHAR(1), 
ACTIVE_FLG CHAR(1), 
TENANT_ID MEDIUMINT, 
PARENT_ID MEDIUMINT); 




-- Create foreign key references : CRM_USERS Table
SELECT 'Create foreign key references : CRM_USERS Table' AS ' ';
ALTER TABLE CRM_USERS ADD FOREIGN KEY( TENANT_ID)   REFERENCES CRM_COMPANY(ROW_ID); 




-- Create foreign key references : CRM_ACCOUNT Table
SELECT 'Create foreign key references : CRM_ACCOUNT Table' AS ' ';
ALTER TABLE CRM_ACCOUNT ADD FOREIGN KEY (CREATED_BY) REFERENCES CRM_USERS(ROW_ID); 
ALTER TABLE CRM_ACCOUNT ADD FOREIGN KEY (UPDATED_BY) REFERENCES CRM_USERS(ROW_ID);     
ALTER TABLE CRM_ACCOUNT ADD FOREIGN KEY (TENANT_ID) REFERENCES CRM_COMPANY(ROW_ID); 

-- Create foreign key references : CRM_CONTACT Table
SELECT 'Create foreign key references : CRM_CONTACT Table' AS ' ';
ALTER TABLE CRM_CONTACT ADD FOREIGN KEY (CREATED_BY) REFERENCES CRM_USERS(ROW_ID); 
ALTER TABLE CRM_CONTACT ADD FOREIGN KEY (UPDATED_BY) REFERENCES CRM_USERS(ROW_ID);     
ALTER TABLE CRM_CONTACT ADD FOREIGN KEY (TENANT_ID) REFERENCES CRM_COMPANY(ROW_ID); 

-- Create foreign key references : CRM_OPPORTUNITY Table
SELECT 'Create foreign key references : CRM_OPPORTUNITY Table' AS ' ';
ALTER TABLE CRM_OPPORTUNITY ADD FOREIGN KEY (CREATED_BY) REFERENCES CRM_USERS(ROW_ID); 
ALTER TABLE CRM_OPPORTUNITY ADD FOREIGN KEY (UPDATED_BY) REFERENCES CRM_USERS(ROW_ID);     
ALTER TABLE CRM_OPPORTUNITY ADD FOREIGN KEY (TENANT_ID) REFERENCES CRM_COMPANY(ROW_ID); 

-- Create foreign key references : CRM_OPTY_CONTACT
SELECT 'Create foreign key references : CRM_OPTY_CONTACT Table' AS ' ';
ALTER TABLE CRM_OPTY_CONTACT ADD FOREIGN KEY (TENANT_ID) REFERENCES CRM_COMPANY(ROW_ID); 

-- Create foreign key references : CRM_ACCT_CONTACT
SELECT 'Create foreign key references : CRM_ACCT_CONTACT Table' AS ' ';
ALTER TABLE CRM_ACCT_CONTACT ADD FOREIGN KEY (TENANT_ID) REFERENCES CRM_COMPANY(ROW_ID); 

-- Create foreign key references : CRM_ACCT_OPTY
SELECT 'Create foreign key references : CRM_ACCT_OPTY Table' AS ' ';
ALTER TABLE CRM_ACCT_OPTY ADD FOREIGN KEY (TENANT_ID) REFERENCES CRM_COMPANY(ROW_ID); 

-- Create foreign key references : CRM_ROLES
SELECT 'Create foreign key references : CRM_ROLES Table' AS ' ';
ALTER TABLE CRM_ROLES ADD FOREIGN KEY (TENANT_ID) REFERENCES CRM_COMPANY(ROW_ID); 

-- After creating all the tables we need to insert the default company and user.


-- Create Default company
SELECT 'Create TestCompany company' AS ' ';
INSERT INTO CRM_COMPANY(NAME, ADDRESS, PRIMARY_CONTACT,ACTIVE_FLG,DELETED_STATE, 
CREATED,CREATED_BY, UPDATED, UPDATED_BY) VALUES("Super", "Bangalore", "superuser", 'Y','N', curdate(),0,curdate(),0); 
INSERT INTO CRM_COMPANY(NAME, ADDRESS, PRIMARY_CONTACT,ACTIVE_FLG,DELETED_STATE, 
CREATED,CREATED_BY, UPDATED, UPDATED_BY) VALUES("TestCompany1", "Bangalore", "TestAdmin1", 'Y','N', curdate(),0,curdate(),0); 

-- Create Default User
SELECT 'Create Super User user' AS ' ';
INSERT INTO CRM_USERS(NAME ,
 USERNAME ,
 PASSWORD ,
 CREATED ,
 CREATED_BY ,
 UPDATED ,
 UPDATED_BY ,
 TENANT_ID, 
 ACTIVE_FLG,
 DELETED_STATE ) VALUES("Super User", "superuser", password('Pa$$word1'), curdate(), 0, curdate(), 0, 1,'Y','N');



-- Create Default User
SELECT 'Create Test Admin1  user' AS ' ';
INSERT INTO CRM_USERS(NAME ,
 USERNAME ,
 PASSWORD ,
 CREATED ,
 CREATED_BY ,
 UPDATED ,
 UPDATED_BY ,
 TENANT_ID, 
 ACTIVE_FLG,
 DELETED_STATE ) VALUES("Test Admin1", "testadmin1", password('Pa$$word1'), curdate(), 0, curdate(), 0, 2,'Y','N');
























